[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 494: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 113: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5284: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5284: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 5284: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
The Official Reality forums • Installing Reality on MacOS Sierra 10.12.1
Page 1 of 2

Installing Reality on MacOS Sierra 10.12.1

Posted: Thu Nov 17, 2016 6:01 am
by PlatnumK
As you may have noticed that a few people have been having problems getting Reality 4.3.1.16203 to install on MacOS Sierra 10.12.1 and each time they get the following error

Screen Shot 2016-11-16 at 12.38.07.png


After many hours trail & error, And liaison with Paolo I believe that I have found a solution, It has to do with the way MacOS Sierra handles File Permissions. As many have found that Apple in their infinite wisdom decided to remove the ability to fix permissions from the terminal.

At 1st I thought that the problem lies with the RealityInstaller.app but not so. The problem is with the Permissions on the DMG File, So if we can no longer fix the permissions from the terminal then how do we correct this particular problem.

1. Open the DMG file as per normal so that it mounts as a virtual disc
2. Close the window that pops up that has the RealityInstaller.app in it
Screen Shot1.png

3. Open Disk Utility and select the Reality Installer Disc from the last on the left, Then click on First Aid
Screen Shot.png

You should now be able to run the RealityInstaller.app without any problems. Hopefully you will find short guide this helpful, And please let me know if this works as I don't have access to another Mac to test this out fully.

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Thu Nov 17, 2016 7:21 am
by pciccone
Daniel, thank you very much for this. I will look into this and possibly update the DMG file.

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Sat Nov 19, 2016 7:18 am
by bca
Thanks for providing this workaround. Unfortunately, it didn't work for me. When I run First Aid on the dmg file the log shows no problems were found and no changes to the dmg were made and I still get the missing configuration file message. I'm unable to install Reality.

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Sat Nov 19, 2016 11:30 am
by PlatnumK
Try this https://support.apple.com/en-us/HT205331 (just do step 8) then reboot and try again,

Or Right Click on the RealityInstaller.app and select Show Package Contents, Then Navigate to Contents/MacOS and Right Click on the RealityInstaller and select Open so that the installer runs from the terminal

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Sat Nov 19, 2016 1:01 pm
by mwcsb

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Sat Nov 19, 2016 2:23 pm
by PlatnumK
Your welcome

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Sun Nov 20, 2016 8:51 pm
by bca
Indeed, the terminal installation worked. Thanks for figuring this out.

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Sat Dec 24, 2016 6:01 pm
by MrWizard1024
Many thanks to you, mwcsb, for helping me make this work. The terminal installation was the only thing that I could get to work. And it worked like a charm!

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Tue Feb 28, 2017 11:49 am
by pciccone
Made this thread Sticky

Re: Installing Reality on MacOS Sierra 10.12.1

Posted: Sun Jun 04, 2017 9:02 pm
by Jeffk
I've tried everything mentioned here and I still can't install under MacOS 10.12.5. Same error message no matter what...